<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://unpkg.com/tailwindcss@0.3.0/dist/tailwind.min.css" rel="stylesheet">
    <title>Sluck</title>

    <style>
        .modal {
            position: absolute;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
        }

        .modal {
            z-index: 101;
            visibility: hidden;
            opacity: 0;
            transition: opacity 0.5s, visibility 0s 0.5s;
        }

        .modal.active {
            opacity: 1;
            visibility: visible;
            transition: opacity 0.5s;
        }

        .login-form-container {
            column-gap: 20px;
        }

        #create-channel-container.container-hidden {
            display: none;
        }
    </style>

    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
    <script src="script.js"></script>
</head>
<body class="h-screen overflow-hidden flex items-center justify-center" style="background: #edf2f7;">
<!--Modal-->
<section id="auth-modal" class="modal active bg-grey-lighter">
    <div class="flex items-center justify-center min-h-screen login-form-container">
        <div class="px-8 py-6 mt-4 text-left bg-white shadow-lg">
            <h3 class="text-2xl font-bold text-center">Login to account</h3>
            <form>
                <div class="mt-4">
                    <div>
                        <label class="block">Login</label>
                        <input id="login-form-login-input" type="text" placeholder="Login" pattern="[A-Za-z0-9]{4,20}"
                               required
                               class="w-full px-4 py-2 mt-2 border rounded">
                    </div>
                    <div class="mt-4">
                        <label class="block">Password</label>
                        <input id="login-form-password-input" type="password" placeholder="Password" minlength="1"
                               required
                               class="w-full px-4 py-2 mt-2 border rounded">
                    </div>
                    <button id="login-button" class="px-6 py-2 mt-4 text-white bg-blue rounded-lg hover:bg-blue-dark"
                            onclick="login(event)">Send
                    </button>
                </div>
            </form>
        </div>

        <div class="px-8 py-6 mt-4 text-left bg-white shadow-lg">
            <h3 class="text-2xl font-bold text-center">Register a new one</h3>
            <form>
                <div class="mt-4">
                    <div>
                        <label class="block">Login</label>
                        <input id="register-form-login-input" type="text" placeholder="Login"
                               pattern="[A-Za-z0-9]{4,20}" required
                               class="w-full px-4 py-2 mt-2 border rounded">
                    </div>
                    <div class="mt-4">
                        <label class="block">Password</label>
                        <input id="register-form-password-input" type="password" placeholder="Password" minlength="1"
                               required
                               class="w-full px-4 py-2 mt-2 border rounded">
                    </div>
                    <button id="register-button" class="px-6 py-2 mt-4 text-white bg-blue rounded-lg hover:bg-blue-dark"
                            onclick="register(event)">Send
                    </button>
                </div>
            </form>
        </div>
    </div>
</section>

<div class="font-sans antialiased h-screen flex w-full">
    <!-- Channel list -->
    <div class="bg-indigo-darker text-purple-lighter flex-none w-64 pb-6 hidden md:block overflow-y-scroll">
        <div class="text-white mb-2 mt-3 px-4 flex justify-between">
            <div class="flex-auto">
                <h1 class="font-semibold text-xl leading-tight mb-1 truncate">Corporate Server</h1>
                <div class="flex items-center mb-6">
                    <span class="bg-green rounded-full block w-2 h-2 mr-2"></span>
                    <span id="username-label" class="text-white opacity-50 text-sm">username</span>
                </div>
            </div>
            <div>
                <svg class="h-6 w-6 fill-current text-white opacity-25" viewBox="0 0 20 20">
                    <path d="M14 8a4 4 0 1 0-8 0v7h8V8zM8.027 2.332A6.003 6.003 0 0 0 4 8v6l-3 2v1h18v-1l-3-2V8a6.003 6.003 0 0 0-4.027-5.668 2 2 0 1 0-3.945 0zM12 18a2 2 0 1 1-4 0h4z"
                          fill-rule="evenodd"/>
                </svg>
            </div>
        </div>
        <div class="mb-8">
            <div class="px-4 mb-2 text-white flex justify-between items-center">
                <div class="opacity-75">Channels</div>
                <div>
                    <a id="show-create-channel-box-button" href="#" style="color: inherit"
                       onclick="toggleCreateChannelBox()">
                        <svg class="fill-current h-4 w-4 opacity-50 hover:text-grey-light"
                             xmlns="http://www.w3.org/2000/svg"
                             viewBox="0 0 20 20">
                            <path d="M11 9h4v2h-4v4H9v-4H5V9h4V5h2v4zm-1 11a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16z"/>
                        </svg>
                    </a>
                </div>
            </div>
            <div id="create-channel-container"
                 class="px-4 mb-2 text-white flex justify-between items-center container-hidden">
                <span class="mr-1">#</span>
                <div class="opacity-75">
                    <input id="new-channel-name-input" type="text" style="width: 70%" pattern="[A-Za-z0-9-]{4,20}">
                </div>
                <div>
                    <a id="create-channel-button" href="#" style="color: inherit" onclick="createChannel()">
                        <svg xmlns="http://www.w3.org/2000/svg" x="0px" y="0px"
                             viewBox="0 0 24 24"
                             class="fill-current h-4 w-4 opacity-50 hover:text-grey-light">
                            <path d="M 12 2 C 6.4889971 2 2 6.4889971 2 12 C 2 17.511003 6.4889971 22 12 22 C 17.511003 22 22 17.511003 22 12 C 22 6.4889971 17.511003 2 12 2 z M 12 4 C 16.430123 4 20 7.5698774 20 12 C 20 16.430123 16.430123 20 12 20 C 7.5698774 20 4 16.430123 4 12 C 4 7.5698774 7.5698774 4 12 4 z M 16.292969 8.2929688 L 10 14.585938 L 7.7070312 12.292969 L 6.2929688 13.707031 L 10 17.414062 L 17.707031 9.7070312 L 16.292969 8.2929688 z"></path>
                        </svg>
                    </a>
                </div>
            </div>
            <div id="channels-container">
                <div class="bg-teal-dark py-1 px-4">
                    <a href="#" onclick="openChannel('0')" class="no-underline text-white">
                        # my-channel
                    </a>
                </div>
                <div class="py-1 px-4 opacity-75">
                    <a href="#" onclick="openChannel('0')" class="no-underline text-white">
                        # another-channel
                    </a>
                </div>
            </div>
        </div>
        <div class="mb-8">
            <div class="px-4 mb-2 text-white flex justify-between items-center">
                <div class="opacity-75">Direct Messages</div>
                <div>
                    <svg class="fill-current h-4 w-4 opacity-25" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                        <path d="M11 9h4v2h-4v4H9v-4H5V9h4V5h2v4zm-1 11a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16z"/>
                    </svg>
                </div>
            </div>
            <div id="users-container">
                <div class="flex items-center mb-3 px-4">
                    <span class="bg-green rounded-full block w-2 h-2 mr-2"></span>
                    <a href="#" onclick="alert('Direct messages are in development')" class="no-underline">
                        <span class="text-white opacity-75">username <span class="text-grey text-sm">(you)</span></span>
                    </a>
                </div>
                <div class="flex items-center mb-3 px-4">
                    <span class="bg-green rounded-full block w-2 h-2 mr-2"></span>
                    <a href="#" onclick="alert('Direct messages are in development')" class="no-underline">
                        <span class="text-white opacity-75">username2</span>
                    </a>
                </div>
            </div>
        </div>
        <div>
            <div class="px-4 mb-2 text-white flex justify-between items-center">
                <div class="opacity-75">Apps</div>
                <div>
                    <svg class="fill-current h-4 w-4 opacity-25" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20">
                        <path d="M11 9h4v2h-4v4H9v-4H5V9h4V5h2v4zm-1 11a10 10 0 1 1 0-20 10 10 0 0 1 0 20zm0-2a8 8 0 1 0 0-16 8 8 0 0 0 0 16z"/>
                    </svg>
                </div>
            </div>
        </div>
    </div>
    <!-- Chat content -->
    <div id="chat-content-box" class="flex-1 flex flex-col bg-white overflow-hidden invisible">
        <!-- Top bar -->
        <div class="border-b flex px-6 py-2 items-center flex-none">
            <div class="flex flex-col">
                <h3 id="channel-name-label" class="text-grey-darkest mb-1 font-extrabold"># my-channel</h3>
                <div id="channel-description-label" class="text-grey-dark text-sm truncate">
                    Channel created by username at 14:33
                </div>
            </div>
            <div class="ml-auto hidden md:block">
                <div class="relative">
                    <input type="search" placeholder="Search" disabled
                           class="appearance-none border border-grey rounded-lg pl-8 pr-4 py-2">
                    <div class="absolute pin-y pin-l pl-3 flex items-center justify-center">
                        <svg class="fill-current text-grey h-4 w-4" xmlns="http://www.w3.org/2000/svg"
                             viewBox="0 0 20 20">
                            <path d="M12.9 14.32a8 8 0 1 1 1.41-1.41l5.35 5.33-1.42 1.42-5.33-5.34zM8 14A6 6 0 1 0 8 2a6 6 0 0 0 0 12z"/>
                        </svg>
                    </div>
                </div>
            </div>
        </div>
        <!-- Chat messages -->
        <div id="chat-messages-box" class="px-6 py-4 flex-1 overflow-y-scroll">
            <!-- A message -->
            <div class="flex items-start mb-4 text-sm">
                <img src="profile.png" class="w-10 h-10 rounded mr-3">
                <div class="flex-1 overflow-hidden">
                    <div>
                        <span class="font-bold">username</span>
                        <span class="text-grey text-xs">11:46</span>
                    </div>
                    <p class="text-black leading-normal">Hello!</p>
                </div>
            </div>
            <!-- A message -->
            <div class="flex items-start mb-4 text-sm">
                <img src="profile.png" class="w-10 h-10 rounded mr-3"/>
                <div class="flex-1 overflow-hidden">
                    <div>
                        <span class="font-bold">username2</span>
                        <span class="text-grey text-xs">12:46</span>
                    </div>
                    <p class="text-black leading-normal">What's up?</p>
                </div>
            </div>
        </div>
        <div class="pb-6 px-4 flex-none">
            <div class="flex rounded-lg border-2 border-grey overflow-hidden">
                <span class="text-3xl text-grey border-r-2 border-grey p-2">
                    <svg class="fill-current h-6 w-6 block" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 20 20"><path
                            d="M16 10c0 .553-.048 1-.601 1H11v4.399c0 .552-.447.601-1 .601-.553 0-1-.049-1-.601V11H4.601C4.049 11 4 10.553 4 10c0-.553.049-1 .601-1H9V4.601C9 4.048 9.447 4 10 4c.553 0 1 .048 1 .601V9h4.399c.553 0 .601.447.601 1z"/></svg>
                  </span>
                <input id="new-message-input" type="text" class="w-full px-4" onkeyup="checkSendMessage(event)"
                       placeholder="Message #general. Hint: try /setWelcomeMessage <message> or /invite <username>"/>
            </div>
        </div>
    </div>
</div>
</body>
</html>